MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- z
- ~

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - r -

- rand : Queue
- random : Queue
- Range : CircularBuffer< T > , DynamicFifoBuffer< T > , ForeignFifoBuffer< T > , StaticFifoBuffer< T, size >
- Read() : AsyncInputStream , AutoGunzipReader , BufferedReader , CircularBuffer< T > , DecoderBridge , DecoderBuffer , DecoderClient , DecoderReader , DffDsdUint64 , DsdUint64 , Encoder , EventFD , EventPipe , FileDescriptor , FileReader , FlacInput , FlacMetadataChain , ForeignFifoBuffer< T > , GunzipReader , IcyInputStream , InputStream , InputStreamReader , MemoryStorageDirectoryReader
- READ : MultiSocketMonitor
- Read() : NfsConnection , NfsFileReader , OggEncoder , OpusReader , PeakBuffer , PeekReader
- READ : PollGroupEPoll , PollGroupPoll , PollGroupWinSelect
- Read() : ProxyInputStream , Reader , SignalFD , SocketMonitor
- READ : SocketMonitor
- Read() : StateFile , StaticFifoBuffer< T, size > , StorageDirectoryReader , ThreadInputStream
- ReadByte() : OpusReader
- readDir() : ContentDirectoryService
- ReadDirectory() : NfsConnection
- readDirSlice() : ContentDirectoryService
- ReadEntry() : DirectoryReader
- Reader() : Reader
- ReadEvents() : PollGroupEPoll , PollGroupPoll , PollGroupWinSelect
- ReadFromBuffer() : BufferedReader
- ReadFull() : BufferedReader , InputStream
- ReadInfo() : CurlGlobal
- ReadLine() : BufferedReader , TextFile , TextInputStream
- ReadOgg() : FlacMetadataChain
- ReadPage() : HttpdOutput
- ReadShort() : OpusReader
- ReadString() : OpusReader
- ReadTag() : AsyncInputStream , AudioOutputSource , IcyInputStream , IcyMetaDataParser , InputStream , ProxyInputStream
- ReadTaggedSong() : PlayerControl
- ReadWord() : OpusReader
- Ready() : DecoderBridge , DecoderClient
- ready : InputStream
- real_uri : LightSong
- Realize() : SLES::Object
- really_enabled : AudioOutput
- recursive : DatabaseSelection
- Ref() : Page
- RefCount() : RefCount
- reference : BasicStringBuffer< T, CAPACITY >
- reference_type : AllocatedArray< T > , AllocatedString< T > , CancellableList< T, CT > , CancellablePointer< T > , ConstBuffer< T > , StringPointer< T > , WritableBuffer< T >
- RegisterCallback() : SLES::AndroidSimpleBufferQueue
- Reinitialize() : OggStreamState
- Relative() : AllocatedPath , Path , PathTraitsFS , PathTraitsUTF8
- Release() : MultipleOutputs
- Remove() : CancellableList< T, CT > , ClientList , CurlGlobal , EPollFD , InotifySource , PollGroupEPoll , PollGroupPoll , PollGroupWinSelect , UpdateRemoveService
- RemoveAll() : TagBuilder
- RemoveClient() : HttpdOutput
- RemoveDeferred() : EventLoop
- RemoveFD() : EventLoop
- RemoveIdle() : EventLoop
- RemoveLast() : SocketSet
- RemoveLease() : NfsConnection
- RemoveSong() : Directory
- RemoveType() : TagBuilder
- repeat : Queue
- repeatable : ConfigTemplate
- ReplaceSocketList() : MultiSocketMonitor
- replay_gain_config : DecoderControl , PlayerControl
- replay_gain_db : DecoderControl
- replay_gain_info : DecoderBridge , MusicChunk
- replay_gain_mode : DecoderControl , Partition , PlayerControl
- replay_gain_prev_db : DecoderControl
- replay_gain_serial : DecoderBridge , MusicChunk
- request : AudioOutput
- Request() : Request
- RequireStorage() : DatabasePlugin
- Resample() : FallbackPcmResampler , GluePcmResampler , LibsampleratePcmResampler , PcmResampler , SoxrPcmResampler
- Reserve() : TagBuilder
- Reset() : BufferedReader , CommandListBuilder , Filter , GluePcmResampler
- reset() : HugeAllocation
- Reset() : IcyMetaDataParser , LibsampleratePcmResampler , MultiSocketMonitor , OggStreamState , OggSyncState , PcmConvert , PcmDsd , PcmExport , PcmResampler , PeriodClock , PollResultEPoll , PollResultGeneric , Timer
- ResizeDiscard() : AllocatedArray< T >
- Response() : Response
- Rest() : Tokenizer
- RestoreOrder() : Queue
- result_type : LazyRandomEngine
- Resume() : CurlRequest
- ResumeInput() : BufferedSocket
- ResumePlayback() : playlist
- ResumeSockets() : CurlGlobal
- Return() : MusicBuffer
- ReturnSong() : Database , SimpleDatabase
- ReusableArray() : ReusableArray< T, M >
- reverse_endian : PcmExport::Params
- Rewind() : FileDescriptor , FileReader , InputStream
- Root() : LightDirectory
- RoundS() : SignedSongTime , SongTime
- Run() : BlockingNfsOperation , EventLoop
- RunDeferred() : DeferredCall , DeferredMonitor , MaskMonitor